<template>
	<div id="trending-page-section">
		<section-head
			class="section-head-pos"
			v-bind:head="showsHead"
		/>
		<filmList
			class="films-list"
			v-bind:films="films"
		/>
		<section-head
			class="section-head-pos"
			v-bind:head="filmsHead"
		/>
		<film-list
			class="shows-list"
			v-bind:films="shows"
		/>
		<blue-button
			class="blue-button"
			v-bind:button-content="buttonContent"
		/>
	</div>
</template>

<script>

import sectionHead from "@/components/UI/section-head";
import filmList from "@/components/page-parts/trending-section/filmList";
import blueButton from "@/components/UI/blue-button";

export default {
	name: "trending-page-section",

	data() {
		return {
			films: [
				{id: 1, path: "film1.png"},
				{id: 2, path: "film2.png"},
				{id: 3, path: "film3.png"},
				{id: 4, path: "film4.png"},
				{id: 5, path: "film5.png"},
				{id: 6, path: "film6.png"},
			],
			shows: [
				{id: 1, path: "film7.png"},
				{id: 2, path: "film8.png"},
				{id: 3, path: "film9.png"},
				{id: 4, path: "film10.png"},
				{id: 5, path: "film11.png"},
				{id: 6, path: "film12.png"},
			],
			path: "@/assets/images/",
			showsHead: "Trending TV Shows",
			filmsHead: "Trending Movies",
			buttonContent: "See more"
		}
	},
	components: {
		sectionHead,
		filmList,
		blueButton,
	}
}
</script>

<style scoped>
	#trending-page-section {
		width: 1440px;
		margin: 0 auto;
	}

	.section-head-pos {
		margin: 70px 0 40px;
	}

	.films-list {
		margin-bottom: 60px;
	}

	.blue-button {
		margin-top: 55px;
	}
</style>